Classify an image
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/classify/image \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form image='@example-file'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/classify/image"
files = { "image": ("example-file", open("example-file", "rb")) }
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('image', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/classify/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"result": {},
"boundingBoxes": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"score": 123
}
],
"freeformResult": {
"outputTensors": [
{
"shape": [
123
],
"data": [
123
]
}
]
},
"anomalyResult": [
{
"boxes": [
{
"label": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"score": 123
}
],
"scores": [
[
123
]
],
"meanScore": 123,
"maxScore": 123
}
]
}Classify an image
Test out a trained impulse (using a posted image).
POST
/
api
/
{projectId}
/
classify
/
image
Classify an image
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Body
multipart/form-data
Response
200 - application/json
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
Classification value per label. For a neural network this will be the confidence, for anomalies the anomaly score.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Anomaly scores and computed metrics for visual anomaly detection, one item per window.
Show child attributes
Show child attributes
Was this page helpful?
⌘I